Name:           gssdp
Version:        0.7.1
Release:        1%{?dist}
Summary:        Resource discovery and announcement over SSDP

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://www.gupnp.org/
Source0:        http://www.gupnp.org/sources/gssdp/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: pkgconfig
BuildRequires: libsoup-devel >= 2.4
BuildRequires: dbus-glib-devel
BuildRequires: glib2-devel >= 2.18
BuildRequires: libxml2-devel
BuildRequires: GConf2-devel
BuildRequires: gtk2-devel
BuildRequires: gtk-doc
BuildRequires: NetworkManager-devel

Requires: dbus

%description
GSSDP implements resource discovery and announcement over SSDP and is part 
of gUPnP.  GUPnP is an object-oriented open source framework for creating 
UPnP devices and control points, written in C using GObject and libsoup. The 
GUPnP API is intended to be easy to use, efficient and flexible.

%package devel
Summary: Development package for gssdp
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: libsoup-devel >= 2.4
Requires: glib2-devel >= 2.18
Requires: pkgconfig

%description devel
Files for development with gssdp.

%package docs
Summary: Documentation files for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: gtk-doc
BuildArch: noarch

%description docs
This package contains developer documentation for %{name}.

%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags} V=1

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

#Remove libtool archives.
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README NEWS
%dir %{_datadir}/gssdp
%{_bindir}/gssdp-device-sniffer
%{_libdir}/libgssdp-1.0.so.*
%{_datadir}/gssdp/gssdp-device-sniffer.ui

%files devel
%defattr(-,root,root,-)
%{_libdir}/libgssdp-1.0.so
%{_libdir}/pkgconfig/gssdp-1.0.pc
%{_includedir}/gssdp-1.0

%files docs
%defattr(-,root,root,-)
%{_datadir}/gtk-doc/html/%{name}


%changelog

